const express = require('express')
const path = require('path')
const http = require('http')
const bodyParser = require('body-parser')
const logger = require('morgan')
const router = require('./routers/')
const app = express()
const port = process.env.port || 3999

app.use(logger('dev'))
app.use(bodyParser.json())
app.use(bodyParser.urlencoded({ extended: false }))
app.use(express.static(path.join(__dirname, 'public')))

app.use((req, res, next) => {
  res.header('Access-Control-Allow-Origin', '*')
  res.header('Access-Control-Allow-Headers', 'Content-Type')
  res.header('Access-Control-Allow-Credentials', true)
  req.header('Access-Control-Max-Age', 600)
  if (req.method === 'OPTIONS') return res.end()
  return next()
})

app.use(router)

app.set('etag', false)

http.createServer(app).listen(port, function () {
  console.log(`[jj-proxy]server start on port:${port}`)
})
